1 |
unnilennium |
1.1 |
diff -Nur -x '*.orig' -x '*.rej' smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/BackupPath mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/BackupPath |
2 |
|
|
--- smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/BackupPath 2006-05-18 12:59:50.364723614 +1000 |
3 |
|
|
+++ mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/BackupPath 1970-01-01 10:00:00.000000000 +1000 |
4 |
|
|
@@ -1 +0,0 @@ |
5 |
|
|
-/media/usbdisk/rdiff-backup |
6 |
|
|
diff -Nur -x '*.orig' -x '*.rej' smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/LocalPath mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/LocalPath |
7 |
|
|
--- smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/LocalPath 1970-01-01 10:00:00.000000000 +1000 |
8 |
|
|
+++ mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/LocalPath 2006-05-18 12:55:22.464320237 +1000 |
9 |
|
|
@@ -0,0 +1 @@ |
10 |
|
|
+/media/usbdisk/rdiff-backup |
11 |
|
|
diff -Nur -x '*.orig' -x '*.rej' smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/RemoteIdentity mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/RemoteIdentity |
12 |
|
|
--- smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/RemoteIdentity 1970-01-01 10:00:00.000000000 +1000 |
13 |
|
|
+++ mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/defaults/rdiff-backup/RemoteIdentity 2006-05-18 12:58:43.503352312 +1000 |
14 |
|
|
@@ -0,0 +1 @@ |
15 |
|
|
+/root/.ssh/id_rsa_rdiff-backup |
16 |
|
|
diff -Nur -x '*.orig' -x '*.rej' smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/migrate/rdiff-backup mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/migrate/rdiff-backup |
17 |
|
|
--- smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/migrate/rdiff-backup 1970-01-01 10:00:00.000000000 +1000 |
18 |
|
|
+++ mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/etc/e-smith/db/configuration/migrate/rdiff-backup 2006-05-18 12:56:51.492834452 +1000 |
19 |
|
|
@@ -0,0 +1,7 @@ |
20 |
|
|
+{ |
21 |
|
|
+ my $backup_path = $DB->get_prop_and_delete('rdiff-backup', 'BackupPath'); |
22 |
|
|
+ |
23 |
|
|
+ return unless $backup_path; |
24 |
|
|
+ |
25 |
|
|
+ $DB->set_prop('rdiff-backup', 'LocalPath', $backup_path); |
26 |
|
|
+} |
27 |
|
|
diff -Nur -x '*.orig' -x '*.rej' smeserver-rdiff-backup-0.0.1/root/sbin/e-smith/do_rdiff-backup mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/sbin/e-smith/do_rdiff-backup |
28 |
|
|
--- smeserver-rdiff-backup-0.0.1/root/sbin/e-smith/do_rdiff-backup 2006-05-18 12:59:50.367723092 +1000 |
29 |
|
|
+++ mezzanine_patched_smeserver-rdiff-backup-0.0.1/root/sbin/e-smith/do_rdiff-backup 2006-05-18 12:57:45.415455463 +1000 |
30 |
|
|
@@ -33,15 +33,15 @@ |
31 |
|
|
|
32 |
|
|
if [ $(/sbin/e-smith/config getprop rdiff-backup EnableLocal) = 'yes' ] |
33 |
|
|
then |
34 |
|
|
- BACKUP_PATH=$(/sbin/e-smith/config getprop rdiff-backup BackupPath) |
35 |
|
|
+ LOCAL_PATH=$(/sbin/e-smith/config getprop rdiff-backup LocalPath) |
36 |
|
|
|
37 |
|
|
- if [ ! -d $BACKUP_PATH ] |
38 |
|
|
+ if [ ! -d $LOCAL_PATH ] |
39 |
|
|
then |
40 |
|
|
- echo "$BACKUP_PATH does not exist - is it mounted?" |
41 |
|
|
+ echo "$LOCAL_PATH does not exist - is it mounted?" |
42 |
|
|
exit 2 |
43 |
|
|
fi |
44 |
|
|
|
45 |
|
|
- $RDIFF_BACKUP $OPTIONS / $BACKUP_PATH/$ID || exit 3 |
46 |
|
|
+ $RDIFF_BACKUP $OPTIONS / $LOCAL_PATH/$ID || exit 3 |
47 |
|
|
fi |
48 |
|
|
|
49 |
|
|
if [ $(/sbin/e-smith/config getprop rdiff-backup EnableRemote) = 'yes' ] |